org.apache.jmeter.save

## Class ListenerResultWrapper

- java.lang.Object
- - org.apache.jmeter.save.ListenerResultWrapper

-     public class ListenerResultWrapper
      extends java.lang.Object

  ListenerResultWrapper is for calculated results generated by listeners like aggregate listener and monitor listener.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerResultWrapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<SampleResult>` | `getSampleResults()`
    `long` | `getTestStartTime()`
    `java.lang.String` | `getVersion()`
    `void` | `setSampleResults(java.util.Collection<SampleResult> results)`
    `void` | `setTestStartTime(long testStartTime)`
    `void` | `setVersion(java.lang.String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerResultWrapper

          public ListenerResultWrapper()

  - ### Method Detail

    - #### getSampleResults

          public java.util.Collection<SampleResult> getSampleResults()

      Returns:
        Returns the sampleResults.

    - #### setSampleResults

          public void setSampleResults(java.util.Collection<SampleResult> results)

      Parameters:
        `results` - The sampleResults to set.

    - #### getTestStartTime

          public long getTestStartTime()

      Returns:
        Returns the testStartTime.

    - #### setTestStartTime

          public void setTestStartTime(long testStartTime)

      Parameters:
        `testStartTime` - The testStartTime to set.

    - #### getVersion

          public java.lang.String getVersion()

      Returns:
        Returns the version.

    - #### setVersion

          public void setVersion(java.lang.String version)

      Parameters:
        `version` - The version to set.

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.